Traces
Get Activities By Time Frame
Queries activities within a specific time frame.
Authorization
api_key api-key<token>
In: header
Query Parameters
tenantAlias*string
The tenant identifier
startDate*string
Start of the time range
endDate?string
End of the time range (optional)
limit?number
Maximum number of records to return
Format
doublecursor?string
Pagination cursor
order?string
Sort order for results
Value in
"asc" | "desc"Response Body
application/json
application/json
curl -X GET "https://api.paynowpro.com/api/v1/traces/timeframe?tenantAlias=string&startDate=string"{
"data": [
{
"tenantAlias": "string",
"traceId": "string",
"eventId": "string",
"executorId": "string",
"parentId": "string",
"isRoot": true,
"activityType": "PaymentEvent",
"payload": {
"property1": null,
"property2": null
},
"createdAt": "string"
}
],
"nextCursor": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}